/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.car.dummylauncher;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;

/**
 * A dummy launcher for CTS.
 *
 * Current CarLauncher invokes Maps Activity in its ActivityView and it creates unexpected events
 * for CTS and they make CTS fail.
 */
public class LauncherActivity extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        View view = getLayoutInflater().inflate(R.layout.launcher_activity, null);
        setContentView(view);
        reportFullyDrawn();
    }
}

